using System;
using Villain.Reflection;

namespace Villain.Networking.Packets
{
	public class PacketHandlerException : Exception
	{
		public MethodByAttribute Handler;

		public PacketHandlerException()
		{

		}

		public PacketHandlerException(string message) : base(message)
		{

		}

		public PacketHandlerException(string message, MethodByAttribute handler) : base(message)
		{
			Handler = handler;
		}
	}
}